#include "system.h"


void InitHardware(void) {
	int temp;
	
	// Configure the flags 
	*pFIO_DIR |= (1<<COMET_RESET);
#ifdef	DEBUG_ALGORITHM
	*pFIO_DIR |= (1<<EXECUTION_TIME_ALL_CHANNELS);
	*pFIO_DIR |= (1<<CONVERGENT_CHANNEL);
#endif	
#ifdef	PF_AS_CHIP_SELECT
	*pFIO_DIR |= (1<<CHIP_SELECT_PF);
#endif	

	// reset Comets
	*pFIO_FLAG_C = (1<<COMET_RESET);		// assert reset
	ssync();
	for (temp=1; temp<10000000; temp++) ssync();		// hold reset for a while

	*pFIO_FLAG_S = (1<<COMET_RESET);		// deassert reset
	ssync();
	for (temp=1; temp<10000000; temp++) ssync();		// wait for a while before configuring Comet

#ifdef	DEBUG_ALGORITHM
	*pFIO_FLAG_C = (1<<EXECUTION_TIME_ALL_CHANNELS);		// clear 
	*pFIO_FLAG_C = (1<<CONVERGENT_CHANNEL);					// clear 
#endif	

#ifdef	PF_AS_CHIP_SELECT
	*pFIO_FLAG_S = (1<<CHIP_SELECT_PF);	// set to deactivate OE
#endif	

}
